package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Customer_report;
import com.realnet.vpspack.Services.Customer_reportService ;






@RequestMapping(value = "/Customer_report")
 @CrossOrigin("*") 
@RestController
public class Customer_reportController {
	@Autowired
	private Customer_reportService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Customer_report")
		  public Customer_report Savedata(@RequestBody Customer_report data) {
		Customer_report save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Customer_report/{id}")
	public  Customer_report update(@RequestBody Customer_report data,@PathVariable Integer id ) {
		Customer_report update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Customer_report/getall/page")
	public Page<Customer_report> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Customer_report> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Customer_report")
	public List<Customer_report> getdetails() {
		 List<Customer_report> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Customer_report")
	public List<Customer_report> getallwioutsec() {
		 List<Customer_report> get = Service.getdetails();		
		return get;
}
@GetMapping("/Customer_report/{id}")
	public  Customer_report  getdetailsbyId(@PathVariable Integer id ) {
		Customer_report  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Customer_report/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}